CycleRunsController_changeConditionPath
POST
/api/cycles/runs/{runId}/conditions/{evaluationId}/change-path
const url = 'https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/conditions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/change-path';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"actionAttemptId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","expectedRevision":1,"selection":{"kind":"branch","branchId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"},"acknowledgement":"cleanup_understood"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.streams.chat/api/cycles/runs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/conditions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/change-path \ --header 'Content-Type: application/json' \ --data '{ "actionAttemptId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "expectedRevision": 1, "selection": { "kind": "branch", "branchId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }, "acknowledgement": "cleanup_understood" }'Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string format: uuid
evaluationId
required
string format: uuid